VERSION 5.00
Begin VB.Form CesTip 
   BorderStyle     =   4  'Fixed ToolWindow
   Caption         =   "Tip of this day"
   ClientHeight    =   3288
   ClientLeft      =   2352
   ClientTop       =   2328
   ClientWidth     =   5424
   Icon            =   "CesTip.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3288
   ScaleWidth      =   5424
   ShowInTaskbar   =   0   'False
   WhatsThisButton =   -1  'True
   WhatsThisHelp   =   -1  'True
   Begin VB.CommandButton cmdOK 
      Cancel          =   -1  'True
      Caption         =   "Close"
      BeginProperty Font 
         Name            =   ""
         Size            =   10.8
         Charset         =   134
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   4320
      TabIndex        =   6
      Top             =   120
      Width           =   855
   End
   Begin VB.CommandButton cmdNextTip 
      Caption         =   "Next"
      BeginProperty Font 
         Name            =   ""
         Size            =   10.8
         Charset         =   134
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   4320
      TabIndex        =   5
      Top             =   600
      Width           =   855
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Help"
      Default         =   -1  'True
      BeginProperty Font 
         Name            =   ""
         Size            =   10.8
         Charset         =   134
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   4320
      TabIndex        =   4
      Top             =   1080
      Width           =   855
   End
   Begin VB.CheckBox chkLoadTipsAtStartup 
      Caption         =   "Show tips at start(&S)"
      Height          =   315
      Left            =   120
      TabIndex        =   1
      Top             =   2940
      Width           =   3015
   End
   Begin VB.PictureBox Picture1 
      BackColor       =   &H00FFFFFF&
      Height          =   2715
      Left            =   120
      Picture         =   "CesTip.frx":000C
      ScaleHeight     =   2664
      ScaleWidth      =   3684
      TabIndex        =   0
      Top             =   120
      Width           =   3735
      Begin VB.Label Label1 
         BackColor       =   &H00FFFFFF&
         Caption         =   "Do You Know"
         Height          =   255
         Left            =   540
         TabIndex        =   3
         Top             =   180
         Width           =   2655
      End
      Begin VB.Label lblTipText 
         BackColor       =   &H00FFFFFF&
         Height          =   1635
         Left            =   180
         TabIndex        =   2
         Top             =   840
         Width           =   3255
      End
   End
End
Attribute VB_Name = "CesTip"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Dim Tips As New Collection
Const TIP_FILE = "CesMp3.Tip"

Private Sub DoNextTip()
    CurrentTip = CurrentTip + 1
    If Tips.Count < CurrentTip Then
        CurrentTip = 1
    End If
    DisplayCurrentTip
End Sub

Function LoadTips(sFile As String) As Boolean
    Dim NextTip As String
    Dim InFile As Integer
    InFile = FreeFile
    If sFile = "" Then
        LoadTips = False
        Exit Function
    End If
    If Dir(sFile) = "" Then
        LoadTips = False
        Exit Function
    End If
    Open sFile For Input As InFile
    While Not EOF(InFile)
        Line Input #InFile, NextTip
        Tips.Add NextTip
    Wend
    Close InFile
    DoNextTip
    LoadTips = True
End Function

Private Sub chkLoadTipsAtStartup_Click()
    If chkLoadTipsAtStartup.Value > 0 Then
        SaveSetting "CES Software", "CES Mp3 Player", "Show Tips at Startup", CurrentTip
        Option1.Check2(1) = 1
    Else
        SaveSetting "CES Software", "CES Mp3 Player", "Show Tips at Startup", 0
        Option1.Check2(1) = 0
    End If
End Sub

Private Sub cmdNextTip_Click()
    DoNextTip
End Sub

Private Sub cmdOK_Click()
    Unload Me
End Sub

Private Sub Form_Load()
    Dim ShowAtStartup As Long
    If CurrentTip > 0 Then chkLoadTipsAtStartup.Value = vbChecked
    If LoadTips(App.Path & "\" & TIP_FILE) = False Then
        lblTipText.Caption = "" & TIP_FILE & " ļδҵ" & vbCrLf & vbCrLf & _
           "ʹü±һΪ " & TIP_FILE & " ıļÿһɡ " & _
           "Ȼ󣬷ӦóĿ¼¡"
    End If
    If Option1.OpAlways.Checked = True Then SetWindowPos hwnd, -1, 0, 0, 0, 0, 3
End Sub

Public Sub DisplayCurrentTip()
    If Tips.Count > 0 Then
        lblTipText.Caption = Tips.Item(CurrentTip)
    End If
End Sub
