VERSION 5.00
Begin VB.UserControl CesSlider 
   BackColor       =   &H80000013&
   BackStyle       =   0  '͸
   ClientHeight    =   780
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   3876
   FillColor       =   &H00FFFFFF&
   ForeColor       =   &H8000000F&
   ScaleHeight     =   780
   ScaleWidth      =   3876
   Begin VB.Shape Shape1 
      BackColor       =   &H00FF8080&
      BackStyle       =   1  'Opaque
      BorderStyle     =   0  'Transparent
      FillColor       =   &H00FFFFFF&
      FillStyle       =   7  'Diagonal Cross
      Height          =   495
      Left            =   480
      Shape           =   2  'Oval
      Top             =   120
      Width           =   255
   End
   Begin VB.Shape Shape3 
      BackColor       =   &H00404040&
      BackStyle       =   1  'Opaque
      BorderStyle     =   0  'Transparent
      Height          =   495
      Left            =   480
      Shape           =   2  'Oval
      Top             =   120
      Width           =   255
   End
   Begin VB.Shape Shape2 
      BackColor       =   &H00FFFFFF&
      BackStyle       =   1  'Opaque
      BorderStyle     =   0  'Transparent
      Height          =   495
      Left            =   480
      Shape           =   2  'Oval
      Top             =   120
      Width           =   255
   End
   Begin VB.Line Line1 
      X1              =   240
      X2              =   3480
      Y1              =   360
      Y2              =   360
   End
   Begin VB.Line Line2 
      BorderColor     =   &H00FFFFFF&
      BorderWidth     =   3
      X1              =   240
      X2              =   3480
      Y1              =   360
      Y2              =   360
   End
End
Attribute VB_Name = "CesSlider"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Public Event MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
Public Event MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
Public Event MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
Public Event Change()
Private SValue As Integer, SMax As Integer, Unit As Double, Scolor As Long, Sstyle As Boolean
Public Property Let Enable(NewEnable As Boolean)
    If NewEnable = False Then
        Shape1.BackColor = &H80000013
        Shape1.FillStyle = 7
    Else
        Shape1.BackColor = Scolor
        Shape1.FillStyle = 1
    End If
    Enabled = NewEnable
End Property
Public Property Get Horizontal() As Boolean
    Horizontal = Sstyle
End Property
Public Property Let Horizontal(NewStyle As Boolean)
    Sstyle = NewStyle
    Show_Slider
End Property
Public Property Get Enable() As Boolean
    Enable = Enabled
End Property
Public Property Let Value(NewValue As Integer)
    OldValue = SValue
    If NewValue < 0 Then
        SValue = 0
    ElseIf NewValue > SMax Then
        SValue = SMax
    Else
        SValue = NewValue
    End If
    If NewValue <> OldValue Then RaiseEvent Change
    Show_Slider
End Property

Public Property Get ForeColor() As Long
    ForeColor = Scolor
End Property
Public Property Let ForeColor(NewColor As Long)
On Error Resume Next
    Scolor = NewColor
    Shape1.BackColor = NewColor
End Property
Public Property Get Value() As Integer
    Value = SValue
End Property
Public Property Let Max(NewMax As Integer)
    If NewMax < 1 Then
        SMax = 1
    Else
        SMax = NewMax
    End If
    Show_Slider
End Property
Public Property Get Max() As Integer
    Max = SMax
End Property

Private Sub UserControl_Initialize()
    Max = 5
    Value = 0
    Horizontal = True
End Sub

Private Sub UserControl_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    RaiseEvent MouseDown(Button, Shift, X, Y)
End Sub

Private Sub UserControl_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
    If Button = 1 Then
        If Horizontal = True Then
            t = Int((X - 100) / Unit + 0.5)
        Else
            t = Int((Y - 100) / Unit + 0.5)
        End If
        If t <> SValue Then
            Value = t
            RaiseEvent Change
            Show_Slider
        End If
    End If
    RaiseEvent MouseMove(Button, Shift, X, Y)
End Sub

Private Sub UserControl_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
    RaiseEvent MouseUp(Button, Shift, X, Y)
End Sub

Private Sub UserControl_Resize()
    Show_Slider
End Sub
Private Sub Show_Slider()
    If Sstyle = True Then
        Unit = (Width - 250 - Shape1.Width / 2) / SMax
        If Width < 80 Then Width = 80
        If Height < 60 Then Height = 60
        Line1.X1 = 100
        Line2.X1 = 100
        Line1.X2 = Width - 100
        Line2.X2 = Width - 100
        Line2.Y1 = Height / 2
        Line1.Y1 = Height / 2
        Line1.Y2 = Height / 2
        Line2.Y2 = Height / 2
        Shape1.Left = 100 + SValue * Unit
        Shape1.Height = Height / 2
        Shape1.Top = (Height - Shape1.Height) / 2
        If Width > 480 Then
            Shape1.Width = 120
        Else
            Shape1.Width = Width / 4
        End If
        Shape2.Height = Shape1.Height + 30
        Shape2.Width = Shape1.Width + 30
        Shape3.Height = Shape1.Height + 30
        Shape3.Width = Shape1.Width + 30
        Shape3.Left = Shape1.Left + 15
        Shape3.Top = Shape1.Top + 15
        Shape2.Left = Shape1.Left - 15
        Shape2.Top = Shape1.Top - 15
    Else
        Unit = (Height - 250 - Shape1.Height / 2) / SMax
        If Width < 80 Then Width = 80
        If Height < 60 Then Height = 60
        Line1.Y1 = 100
        Line2.Y1 = 100
        Line1.Y2 = Height - 100
        Line2.Y2 = Height - 100
        Line2.X1 = Width / 2
        Line1.X1 = Width / 2
        Line1.X2 = Width / 2
        Line2.X2 = Width / 2
        Shape1.Top = 100 + SValue * Unit
        Shape1.Width = Width / 2
        Shape1.Left = (Width - Shape1.Width) / 2
        If Height > 480 Then
            Shape1.Height = 120
        Else
            Shape1.Height = Height / 4
        End If
        Shape2.Width = Shape1.Width + 30
        Shape2.Height = Shape1.Height + 30
        Shape3.Width = Shape1.Width + 30
        Shape3.Height = Shape1.Height + 30
        Shape3.Top = Shape1.Top + 15
        Shape3.Left = Shape1.Left + 15
        Shape2.Top = Shape1.Top - 15
        Shape2.Left = Shape1.Left - 15
    End If
End Sub
Public Property Get AboutCesSlider() As String
    AboutCesSlider = "ؼȨƵ,ûʹ,,벻Ҫ޸Ŀؼ롣" + Chr(13) + Chr(10) + "뱾ϵ:E-Mail:CesSlider@cloudeagle.freeservers.com"
End Property
Public Property Let AboutCesSlider(X As String)
    MsgBox "ؼȨƵ,ûʹ,,벻Ҫ޸Ŀؼ롣" + Chr(13) + Chr(10) + "뱾ϵ:E-Mail:CesSlider@cloudeagle.freeservers.com", , "Ƶ͸"
End Property
