Attribute VB_Name = "CesplayMain"
Declare Function SetWindowPos Lib "user32" (ByVal hwnd As Long, ByVal hWndInsertAfter As Long, ByVal X As Long, ByVal Y As Long, ByVal cx As Long, ByVal cy As Long, ByVal wFlags As Long) As Long

Public Const GW_HWNDNEXT = 2
Public Const GW_HWNDFIRST = 0
Public Const WM_CLOSE = &H10

Declare Function ShowWindow Lib "user32" (ByVal hwnd As Long, ByVal nCmdShow As Long) As Long

Public wt As String * 256, IIrun As Long

Declare Function waveOutGetNumDevs Lib "winmm.dll" () As Long
Declare Function GetDriveType Lib "kernel32" Alias "GetDriveTypeA" (ByVal nDrive As String) As Long

Public Control1 As ControlForm
Public RightMenu As MenuForm, FList1 As ListForm, Option1 As OptionForm

Global SoundCard As Boolean, DelayTime As Integer, BackPicture As String
Global CDROM(5) As String, CDROM_Number As Integer, VCD_CDROM As Integer
Global PlayFliter(2) As String, FliterCount As Integer, DialogShow As Boolean

Type Status
    Left As Single
    Top As Single
    Width As Single
    Height As Single
    Windowstate As Integer
End Type

Type Play_Option
    Count As Integer
    Index As Integer
    Filename(-1 To 1000) As String
    Position As Long
End Type

Public Scales As Single, ReplayMode As Integer
Global Now As Play_Option, Old As Play_Option, News As Play_Option, MovieImage As Integer
Global Unite As Integer, OldPath As String, CurrentTip As Integer

Sub Main()
Dim Nu As String * 6
    Set Option1 = New OptionForm
    Set Control1 = New ControlForm
    Set FList1 = New ListForm
    Set RightMenu = New MenuForm
    CDROM_Number = 0
    For i = 2 To 25
        a = Chr(65 + i) + ":"
        If GetDriveType(a) = 5 Then
            CDROM(CDROM_Number) = a
            CDROM_Number = CDROM_Number + 1
        End If
    Next
    If CDROM(0) = "" Then Control1.Command3(1).Enabled = False
    PlayFliter(0) = "Mp3 Format Files(*.Mp3*.Cev)"
    PlayFliter(1) = "*.mp3;*.Cev"
    BackPicture = App.Path + "\CesMp3.bmp"
    WaveID = waveOutGetNumDevs
    If WaveID > 0 Then
        SoundCard = True
    Else
        SoundCard = False
    End If
    Now.Index = -1
    Old.Index = -1
    Scales = Control1.Check1.Left / 180
    Control1.Slider2.Max = 20
    Control1.Slider2.Value = 10
    Control1.Slider3.Max = 100
    Control1.Slider3.Horizontal = False
    Control1.Slider1.Enable = True
    Control1.Slider2.Enable = True
    Control1.Slider3.Enable = True
    Load_Option
    If Option1.Check2(1) = 1 Then CesTip.Show
    ShowBackGround Control1
    ShowBackGround RightMenu
    Control1.Show
    Now.Index = -1
    Load_Record
    FList1.United Control1, Control1.Left, Control1.Top
    If Command <> "" Then
        Control1.AddFileToPlayer Command
    Else
        If Now.Index > -1 And Option1.Check2(0) = 1 Then Control1.OpenFile Now.Index
    End If
End Sub

Public Function RemoveProgram(ByVal Index As Integer) As Boolean
Dim Nu As String * 6
    If Index = -1 Then Index = 0
    If Index > Now.Count - 1 Or Now.Count < 1 Then RemoveProgram = False: Exit Function
    Now.Count = Now.Count - 1
    If FList1.List1.ListCount > Now.Count Then FList1.List1.RemoveItem Index
    For i = Index + 1 To Now.Count
        Now.Filename(i - 1) = Now.Filename(i)
        Nu = Str(i)
        FList1.List1.List(i - 1) = Nu + ToFileName(Now.Filename(i - 1))
    Next
    If Index <= Now.Index Then Now.Index = Now.Index - 1
    If Now.Index > -1 Then
        FList1.List1.ListIndex = Now.Index
        FList1.List1.TopIndex = Now.Index
    End If
    RemoveProgram = True
End Function

Public Sub Refresh_Flist1()
Dim ss As String * 6
    FList1.List1.Clear
    For i = 0 To Now.Count - 1
        ss = Str(i + 1)
        FList1.List1.AddItem ss + ToFileName(Now.Filename(i))
    Next
    If Now.Index > -1 Then
        FList1.List1.ListIndex = Now.Index
        FList1.List1.TopIndex = Now.Index
    End If
End Sub

Function Get_Status(Frm As Form) As Status
    If Frm.Windowstate = 0 Then
        Get_Status.Height = Frm.Height
        Get_Status.Left = Frm.Left
        Get_Status.Top = Frm.Top
        Get_Status.Width = Frm.Width
        Get_Status.Windowstate = Frm.Windowstate
    Else
        Get_Status.Windowstate = Frm.Windowstate
        Get_Status.Height = 3500
        Get_Status.Width = 5000
    End If
End Function

Sub Put_Status(Frm As Form, P As Status)
    If P.Windowstate = 0 Then
        Frm.Windowstate = P.Windowstate
        Frm.Height = P.Height
        Frm.Left = P.Left
        Frm.Top = P.Top
        Frm.Width = P.Width
    ElseIf Frm.Windowstate = 0 Then
        Frm.Height = P.Height
        Frm.Left = P.Left
        Frm.Top = P.Top
        Frm.Width = P.Width
        Frm.Windowstate = P.Windowstate
    Else
        Frm.Windowstate = P.Windowstate
    End If
End Sub

Sub ShowBackGround(Frm As Form)
    Dim Pic As stdPicture
    If BackPicture = "" Then Exit Sub
    Frm.Cls
    On Error GoTo ErrorPic
    Set Pic = LoadPicture(BackPicture)
    W = 0
    h1 = Pic.Height / 27
    w1 = Pic.Width / 27
    While W < Frm.ScaleWidth
        h = 0
        While h < Frm.ScaleHeight
            Frm.PaintPicture Pic, W, h
            h = h + h1
        Wend
        W = W + w1
    Wend
    ShowBorder Frm
    Exit Sub
ErrorPic:
    If Err.Number = 481 Then
        MsgBox " Picture File Error!"
    End If
    If BackPicture <> App.Path + "\CesMp3.Bmp" Then
        BackPicture = App.Path + "\CesMp3.Bmp"
        Set Pic = LoadPicture(BackPicture)
        Resume Next
    Else
        ShowBorder Frm
    End If
End Sub

Sub ChangeBackGround()
    ofile = OpenForm.OpenFile(1)
    If ofile <> "" Then
        BackPicture = ofile
        ShowBackGround Control1
        ShowBackGround FList1
        ShowBackGround RightMenu
    End If
End Sub

Sub ShowBorder(Frm As Form)
    Frm.DrawWidth = 1
    Frm.Line (Frm.ScaleWidth - 1, 1)-(Frm.ScaleWidth - 1, Frm.ScaleHeight - 1), QBColor(1)
    Frm.Line (Frm.ScaleWidth - 2, 2)-(Frm.ScaleWidth - 2, Frm.ScaleHeight - 2), QBColor(8)
    Frm.Line (Frm.ScaleWidth - 3, 3)-(Frm.ScaleWidth - 3, Frm.ScaleHeight - 3), QBColor(7)
    Frm.Line (1, Frm.ScaleHeight - 1)-(Frm.ScaleWidth - 1, Frm.ScaleHeight - 1), QBColor(1)
    Frm.Line (2, Frm.ScaleHeight - 2)-(Frm.ScaleWidth - 2, Frm.ScaleHeight - 2), QBColor(8)
    Frm.Line (3, Frm.ScaleHeight - 3)-(Frm.ScaleWidth - 3, Frm.ScaleHeight - 3), QBColor(7)
    Frm.Line (0, 0)-(Frm.ScaleWidth, 0), QBColor(7)
    Frm.Line (1, 1)-(Frm.ScaleWidth - 1, 1), QBColor(15)
    Frm.Line (2, 2)-(Frm.ScaleWidth - 2, 2), QBColor(7)
    Frm.Line (0, 0)-(0, Frm.ScaleHeight), QBColor(7)
    Frm.Line (1, 1)-(1, Frm.ScaleHeight - 1), QBColor(15)
    Frm.Line (2, 2)-(2, Frm.ScaleHeight - 2), QBColor(7)
    Frm.SBorder3D
End Sub

Sub DrawBorder(Ob As Object, UpDown As Boolean)
    Dim h As Integer, W As Integer
    h = Ob.Height
    W = Ob.Width
    DrawLine Ob, h, W, UpDown, 2
    a = Ob.Parent.Point(Ob.Left + Ob.Width / 2, Ob.Top + Ob.Height / 2)
    Ob.ForeColor = QBColor(7) Xor a
End Sub

Sub DrawLine(Ob As Object, h As Integer, W As Integer, UpDown As Boolean, Thick As Integer)
    With Ob
        For i = 1 To Thick
            If i > Thick / 2 Then
                c1 = 0
                c2 = 15
            Else
                c1 = 8
                c2 = 7
            End If
            If UpDown = True Then
                a1 = c1
                a2 = c2
            Else
                a1 = c2
                a2 = c1
            End If
            .Parent.Line (.Left - i, .Top - i)-(.Left + W + i, .Top - i), QBColor(a2)
            .Parent.Line (.Left - i, .Top - i)-(.Left - i, .Top + h + i), QBColor(a2)
            .Parent.Line (.Left + W + i, .Top - i)-(.Left + W + i, .Top + h + i), QBColor(a1)
            .Parent.Line (.Left - i, .Top + h + i)-(.Left + W + i, .Top + h + i), QBColor(a1)
        Next
    End With
End Sub

Public Function ToFileName(FullFileName As String) As String
    If Dir(FullFileName) = "" Then
        For j = 1 To Len(FullFileName) - 1
            a = Left(Right(FullFileName, j), 1)
            If a = "/" Then
                ToFileName = Right(FullFileName, j - 1)
                Exit Function
            End If
        Next
    Else
        ToFileName = Dir(FullFileName)
        Exit Function
    End If
    ToFileName = "File doesn't exist"
End Function

Public Function ToFilePath(FullFileName As String) As String
    For j = Len(FullFileName) To 1 Step -1
        a = Mid(FullFileName, j, 1)
        If a = "/" Or a = "\" Then
            ToFilePath = Left(FullFileName, j)
            Exit Function
        End If
    Next
End Function

Public Function ToFileType(FullFileName As String) As String
    For j = 1 To Len(FullFileName) - 1
        a = Left(Right(FullFileName, j), 1)
        If a = "." Then
            ToFileType = Right(FullFileName, j - 1)
            Exit Function
        ElseIf a = "/" Or a = "\" Then
            ToFileType = ""
            Exit Function
        End If
    Next
End Function

Public Sub Swap(F1 As Integer, F2 As Integer)
    If F1 = Now.Index Then
        Now.Index = F2
    ElseIf F2 = Now.Index Then
        Now.Index = F1
    End If
    swp = Now.Filename(F1)
    Now.Filename(F1) = Now.Filename(F2)
    Now.Filename(F2) = swp
End Sub

Public Sub Sort_File(Head As Integer, Tail As Integer, What As Integer)
Dim mstr As Integer, h As Integer, t As Integer
Dim hh As String, tt As String, sw As Boolean
    h = Head: t = Tail
    While Tail > Head
        Select Case What
            Case 1
                hh = UCase(ToFileName(Now.Filename(Head)))
                tt = UCase(ToFileName(Now.Filename(Tail)))
            Case 2
                hh = UCase(ToFileType(Now.Filename(Head)))
                tt = UCase(ToFileType(Now.Filename(Tail)))
            Case 3
                hh = UCase(ToFilePath(Now.Filename(Head)))
                tt = UCase(ToFilePath(Now.Filename(Tail)))
            Case Else
                Exit Sub
        End Select
        If hh > tt Then
            Swap Head, Tail
            sw = Not sw
        End If
        If sw = True Then
            Head = Head + 1
        Else
            Tail = Tail - 1
        End If
    Wend
    If sw = True Then
        Head = Head - 1
    Else
        Tail = Tail + 1
    End If
    If Head > h Then Sort_File h, Head, What
    If t > Tail Then Sort_File Tail, t, What
End Sub

Public Sub Delay(perSec As Integer)
    t = Timer
    While Timer - t < perSec / 100
        DoEvents
    Wend
End Sub

Sub Load_Record()
    Dim a As String * 9
    On Error GoTo Wrong
    Open App.Path + "\CesMp3.Rcd" For Input As #1
    Input #1, a
    If a <> "CesMp3RRR" Then GoTo Wrong
    Input #1, X
    Control1.Slider2.Value = X
    Input #1, X
    Control1.Height = X
    Input #1, X
    Control1.Left = X
    Input #1, X
    Control1.Top = X
    Input #1, X
    Control1.Width = X
    Input #1, X
    Control1.Windowstate = X
    Input #1, X
    Control1.Slider3.Value = X
    Input #1, Now.Count
    Input #1, Now.Index
    Input #1, Now.Position
    For i = 0 To Now.Count - 1
        Input #1, Now.Filename(i)
    Next
    Input #1, Old.Count
    Input #1, Old.Index
    Input #1, Old.Position
    For i = 0 To Old.Count - 1
        Input #1, Old.Filename(i)
    Next
    Refresh_Flist1
Wrong:
    Close #1
End Sub

Sub Save_Record()
    Open App.Path + "\CesMp3.Rcd" For Output As #1
    Print #1, "CesMp3RRR"
    Print #1, Control1.Slider2.Value
    Print #1, Control1.Height
    Print #1, Control1.Left
    Print #1, Control1.Top
    Print #1, Control1.Width
    Print #1, Control1.Windowstate
    Print #1, Control1.Slider3.Value
    Print #1, Now.Count
    Print #1, Now.Index
    Print #1, Now.Position
    For i = 0 To Now.Count - 1
        Print #1, Now.Filename(i)
    Next
    Print #1, Old.Count
    Print #1, Old.Index
    Print #1, Old.Position
    For i = 0 To Old.Count - 1
        Print #1, Old.Filename(i)
    Next
    Close #1
End Sub

Sub Save_Option()
    On Error GoTo Wrong
    If Option1.Check2(1) = 0 Then
        SaveSetting "CES Software", "CES Mp3 Player", "Show Tips at Startup", 0
        CurrentTip = 0
    Else
        CurrentTip = GetSetting("CES Software", "CES Mp3 Player", "Show Tips at Startup", 1)
        If CurrentTip = 0 Then
            SaveSetting "CES Software", "CES Mp3 Player", "Show Tips at Startup", 1
        Else
            SaveSetting "CES Software", "CES Mp3 Player", "Show Tips at Startup", CurrentTip
        End If
    End If
    Open App.Path + "\CesMp3.Opt" For Output As #1
    Print #1, BackPicture
    Print #1, CInt(Option1.Check2(0))
    Print #1, CInt(Option1.Check2(2))
    Print #1, CInt(Option1.Check2(3))
    If Option1.Option3(0).Value = True Then
        Print #1, 0
    Else
        Print #1, 1
    End If
    If Control1.Height < 1000 Then
        Print #1, 1
    Else
        Print #1, 0
    End If
    Print #1, CInt(Unite)
    Print #1, CInt(FList1.Visible)
    Print #1, CInt(Option1.OpAlways.Checked)
    If FList1.Picture1.Caption = "" Then
        Print #1, 1
    Else
        Print #1, 0
    End If
    Print #1, ReplayMode
Wrong:
    Close #1
End Sub
Sub Load_Option()
    Dim X As Integer
    On Error GoTo Wrong
    CurrentTip = GetSetting("CES Software", "CES Mp3 Player", "Show Tips at Startup")
    If CurrentTip > 0 Then
        Option1.Check2(1) = 1
    Else
        Option1.Check2(1) = 0
    End If
    Open App.Path + "\CesMp3.Opt" For Input As #1
    Input #1, BackPicture
    Input #1, X
    Option1.Check2(0).Value = X
    Input #1, X
    Option1.Check2(2).Value = X
    Input #1, X
    Option1.Check2(3).Value = X
    Input #1, X
    Option1.Option3(X).Value = True
    Input #1, X
    If X = 1 Then Control1.SwitchToolbar
    Input #1, X
    Unite = CInt(X)
    Input #1, X
    If CBool(X) = True Then Control1.ShowFlist
    Input #1, X
    Option1.OpAlways.Checked = CBool(X)
    If Option1.OpAlways.Checked = True Then Option1.Always_Click
    Input #1, X
    If X = 1 Then FList1.Toolbar
    Input #1, X
    Option1.Option1(X).Value = True
    Close #1
    Exit Sub
Wrong:
    Close #1
    Set_Default Now
End Sub

Sub Set_Default(Default As Play_Option)
    Default.Position = -1
    Option1.Check2(0).Value = 1
    Option1.Check2(1).Value = 0
    Option1.Check2(2).Value = 1
    Option1.Check2(3).Value = 0
    Option1.Option1(0).Value = True
    Option1.Option3(0).Value = True
    Control1.Check1.Value = 0
End Sub
